| Cantera 3.0.0

Loading...
Searching...
No Matches
Macros | Typedefs | Enumerations
clib_defs.h File Reference
`#include "cantera/base/config.h"`
`#include <stdlib.h>`
Include dependency graph for clib_defs.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | CANTERA_CAPI
#define | ERR -999
#define | DERR -999.999

## Typedefs
typedef void(* | LogCallback) (enum LogLevel logLevel, const char *category, const char *message)
| Represents a callback that is invoked to produce log output.

## Enumerations
enum | LogLevel { INFO , WARN , ERROR }

## Macro Definition Documentation

## ◆ CANTERA_CAPI

#define CANTERA_CAPI

Definition at line 17 of file clib_defs.h.

## ◆ ERR

#define ERR -999

Definition at line 21 of file clib_defs.h.

## ◆ DERR

#define DERR -999.999

Definition at line 25 of file clib_defs.h.

## Typedef Documentation

## ◆ LogCallback

typedef void(* LogCallback) (enum LogLevel logLevel, const char *category, const char *message)

Represents a callback that is invoked to produce log output.

Definition at line 32 of file clib_defs.h.

## Enumeration Type Documentation

## ◆ LogLevel

enum LogLevel

Definition at line 29 of file clib_defs.h.